cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Client.Compat.Semaphore

Synopsis

- data QSem
- newQSem :: Int -> IO QSem
- waitQSem :: QSem -> IO ()
- signalQSem :: QSem -> IO ()

# Documentation

data QSem #

`QSem` is a quantity semaphore in which the resource is acquired and released in units of one. It provides guaranteed FIFO ordering for satisfying blocked `waitQSem` calls.

#### Instances

Instances details

Eq QSem # |
Instance details Defined in Distribution.Client.Compat.Semaphore Methods (==) :: QSem -> QSem -> Bool # (/=) :: QSem -> QSem -> Bool #

newQSem :: Int -> IO QSem #

waitQSem :: QSem -> IO () #

signalQSem :: QSem -> IO () #